# Initiate Crawl API

`POST` `https://secctrl.tutelar.io/api/v1/web-crawling/website-crawl`

401 : Unauthorized

```json
{ "message": "Invalid authentication credentials" }
```

## Post parameters description is given below

| Post Parameter | Type   | Is Mandotory                     | Description                                                                      |
| -------------- | ------ | -------------------------------- | -------------------------------------------------------------------------------- |
| website        | String | Yes                              | For Crawling The Website, Need To Give Absolute URL Of The Website               |
| level          | String | Yes                              | Mention The Level Of Crawling Like Basic/Advance                                 |
| merchant\*     | Object | Yes (trade\_name only Mandatory) | For Identify The Merchant Details & Merchant Business Details                    |
| address        | String | No                               | Input value of crawling website address                                          |
| ucic           | String | No                               | Unique customer identification code used to track and identify crawled websites. |

## Sample post parameters

```json
{
    "website":"https://www.tutelar.io",
    "level" : "basic",
    "merchant" : {
        "id" : "TUTMERCH001",
        "trade_name": "tutelar pvt ltd"
    },
    "address":"chennai",
    "ucic": "WEB123"
}
```

## Success Response

```json
{
    "success": true,
    "code": 200,
    "message": "Queue added",
    "data": {
        "status": "in_progress",
        "caseId": "gKXvLK9Y7gPAmyYCxGDn3p",
        "websiteName": "tutelar.io",
        "merchant": {
            "id": "TUTMERCH001",
            "trade_name": "tutelar pvt ltd"
        },
        "createdAt": "2024-01-05T09:40:58.157Z"
    }
}
```

## Failure Response

```json
{
    "success": false,
    "code": 300,
    "message": "Please provide the exact URL of the Website",
    "data": {}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/initiate-crawl-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
